<?php

add_action('wpcf7_before_send_mail', 'alterar_formulario_contato');
function alterar_formulario_contato($wpcf7)
{


    $form_to_DB = WPCF7_Submission::get_instance();
    if ($form_to_DB) {
        $formData = $form_to_DB->get_posted_data();


        if (isset($formData['veiculo_id'])) {

            $msg = '<hr/><strong>Outras informações do veículo</strong>';
            $msg .= '<br/>Titulo:' . $formData['titulo'];
            $msg .= '<br/>Cód. Veículo no site:' . $formData['veiculo_id'];
            $msg .= '<br/>URL: <a href="' . get_permalink($formData['veiculo_id']) . '"> Link </a>';
            $msg .= '<br/>Placa:' . $formData['placa'];

            $mail = $wpcf7->prop('mail'); // returns array
            $mail['body'] .= $msg;

            $wpcf7->set_properties(array('mail' => $mail));
        }
    }


}


/**
 * Função para adicionar campos extras no envio do formulário
 * Ela verifica se o post é um produto e se sim, adiciona o título do produto,
 * o link do produto e o id do produto no array de dados do formulário
 * 
 * @param array $wpcf7_posted_data Array com os dados do formulário
 * @return array Array com os dados do formulário, incluindo os campos extras
 */
add_filter("wpcf7_posted_data", function ($wpcf7_posted_data) {

    $post = get_post(isset($wpcf7_posted_data["_wpcf7_container_post"]) ? $wpcf7_posted_data["_wpcf7_container_post"] : null);

    if (isset($post) && $post->post_type == 'product') {
        $wpcf7_posted_data["url_veiculo"] = get_permalink($post);
        $wpcf7_posted_data["veiculo_id"] = $post->ID;
        $wpcf7_posted_data["tipo"] = 'Veiculo';
        $wpcf7_posted_data["titulo"] = $post->post_title;
        $wpcf7_posted_data["placa"] = get_post_meta($post->ID, 'alt_placa', true);
    }
    return $wpcf7_posted_data;
});


function mailtrap($phpmailer)
{
    $phpmailer->isSMTP();
    $phpmailer->Host = 'smtp.mailtrap.io';
    $phpmailer->SMTPAuth = true;
    $phpmailer->Port = 2525;
    $phpmailer->Username = 'bc74cf83536fbc';
    $phpmailer->Password = '2690ebf02e5427';
}

if(isset($_SERVER['HTTP_HOST']) && $_SERVER['HTTP_HOST'] == 'wordpress.local'){
    add_action('phpmailer_init', 'mailtrap');
}

